FROM ubuntu:24.04

RUN apt-get update && \
    apt-get install -y software-properties-common && \
    add-apt-repository ppa:deadsnakes/ppa && \
    apt-get update && \
    apt-get install -y python3.12 python3-pip && \
    apt-get install -y cron vim && \
    apt-get clean

# Instalar locales para habilitar locale-gen
RUN apt-get update && apt-get install -y locales && rm -rf /var/lib/apt/lists/*

RUN mkdir -p /opt/opengnsys && \
    mkdir -p /opt/ogcore && \
    mkdir -p /opt/cron_jobs

WORKDIR /opt/opengnsys/

EXPOSE 8088

CMD ["python3.12"]
